gtkmm: Gdk::PixbufFormat Class Reference

gtkmm 3.3.18

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Related Functions
Gdk::PixbufFormat Class Reference

List of all members.

## Public Member Functions
| PixbufFormat (GdkPixbufFormat* gobject, bool make_a_copy=true)
| PixbufFormat (const PixbufFormat& other)
PixbufFormat& | operator= (const PixbufFormat& other)
| ~PixbufFormat ()
void | swap (PixbufFormat& other)
GdkPixbufFormat* | gobj ()
| Provides access to the underlying C instance.
const GdkPixbufFormat* | gobj () const
| Provides access to the underlying C instance.
GdkPixbufFormat* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
| PixbufFormat ()
Glib::ustring | get_name () const
Glib::ustring | get_description () const
std::vector< Glib::ustring > | get_mime_types () const
std::vector< Glib::ustring > | get_extensions () const
bool | is_writable () const
bool | is_scalable () const
bool | is_disabled () const
void | set_disabled (bool disabled=true)
Glib::ustring | get_license () const
## Protected Attributes
GdkPixbufFormat* | gobject_
## Related Functions
(Note that these are not member functions.)
void | swap (PixbufFormat& lhs, PixbufFormat& rhs)
Gdk::PixbufFormat | wrap (GdkPixbufFormat* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

Gdk::PixbufFormat::PixbufFormat | ( | GdkPixbufFormat * | gobject,
|  | bool | make_a_copy = `true`
| ) |  | `[explicit]`

Gdk::PixbufFormat::PixbufFormat | ( | const PixbufFormat& | other | ) |

Gdk::PixbufFormat::~PixbufFormat | ( |  | ) |

Gdk::PixbufFormat::PixbufFormat | ( |  | ) |

## Member Function Documentation

Glib::ustring Gdk::PixbufFormat::get_description | ( |  | ) | const

std::vector<Glib::ustring> Gdk::PixbufFormat::get_extensions | ( |  | ) | const

Glib::ustring Gdk::PixbufFormat::get_license | ( |  | ) | const

std::vector<Glib::ustring> Gdk::PixbufFormat::get_mime_types | ( |  | ) | const

Glib::ustring Gdk::PixbufFormat::get_name | ( |  | ) | const

GdkPixbufFormat* Gdk::PixbufFormat::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

const GdkPixbufFormat* Gdk::PixbufFormat::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

GdkPixbufFormat* Gdk::PixbufFormat::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

bool Gdk::PixbufFormat::is_disabled | ( |  | ) | const

bool Gdk::PixbufFormat::is_scalable | ( |  | ) | const

bool Gdk::PixbufFormat::is_writable | ( |  | ) | const

PixbufFormat& Gdk::PixbufFormat::operator= | ( | const PixbufFormat& | other | ) |

void Gdk::PixbufFormat::set_disabled | ( | bool | disabled = `true` | ) |

void Gdk::PixbufFormat::swap | ( | PixbufFormat& | other | ) |

## Friends And Related Function Documentation

void swap | ( | PixbufFormat& | lhs,
|  | PixbufFormat& | rhs
| ) |  | `[related]`

Parameters:

  lhs | The left-hand side
  rhs | The right-hand side

Gdk::PixbufFormat wrap | ( | GdkPixbufFormat * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GdkPixbufFormat* Gdk::PixbufFormat::gobject_`[protected]`

The documentation for this class was generated from the following file:

- gdkmm/pixbufformat.h